Subject: [Mip6] MIP6_HOME_PREFIX attribute in draft-ietf-mip6-bootstrapping-split

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 16 Jul 2007 10:46:03 -0700

Hello folks,

We completely messed up the format of the MIP6_HOME_PREFIX attribute
in draft-ietf-mip6-bootstrapping-split. It is in section 8.2.

Sheila Frankel caught it. Here are the comments we got as part of
security review.

> -- The Attribute Type is described as 15 bits, but the diagram displays it as 31
> bits.
> -- The length is described as "multi-valued". This term is generally used in
> IKEv2 to describe an attribute which can appear more than once (e.g.
> INTERNAL_IPV6_ADDRESS). That term is not appropriate here to describe the length
> field, since obviously it can take different values (one at a time), or
> otherwise it would not be needed.
> -- The length is described to be 0 or 17. The value 17 is specified as the
> length of the home prefix and the prefix length. As shown, the home prefix and
> prefix length are 18 octets. Also, the length field should include the prefix
> lifetime, making the correct value 22 octets.
> -- Generally, in IKEv2, IPv6 addresses (analogous to the home prefix) consist of
> 17 octets: a 16-octet address, followed by a 1-octet prefix length. In this
> case, if the Attribute Type and Length together are 4 octets, and are followed
> by the 4-octet Prefix Lifetime, they can then be followed by a 17-octet home
> prefix + prefix length. (I suggest placing the Prefix Lifetime first so the
> 17-octet value can be on a 4-octet boundary.) The Length will then be 21 octets.

The new format is as follows.

8.2.  MIP6_HOME_PREFIX attribute

    The MIP6_HOME_PREFIX attribute is carried in IKEv2 Configuration
    Payload messages.  This attribute is used to convey the home prefix
    from which the Mobile Node auto-configures its home address.

      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |R|      Attribute Type         |           Length              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                         Prefix Lifetime                       |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                                                               |
     |                         Home Prefix                           |
     |                                                               |
     |                                                               |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     | Prefix Length |
     +-+-+-+-+-+-+-+-+

    Reserved (1 bit)

       This bit MUST be set to zero and MUST be ignored on receipt

    Attribute Type (15 bits)

       A unique identifier for the MIP6_HOME_PREFIX attribute.  To be
       assigned by IANA

    Length (2 octets)

       Length in octets of Value field (Home Prefix, Prefix Lifetime and
       Prefix Length).  This can be 0 or 21

    Prefix Lifetime (4 octets)

       The lifetime of the Home Prefix

    Home Prefix (16 octets)

       The prefix of the home link through which the Mobile Node may
       auto-configure its Home Address

    Prefix Length (1 octet)

       The length in bits of the home prefix specified in the field Home
       Prefix

    When the MIP6_HOME_PREFIX attribute is included by the Mobile Node in
    the CFG_REQUEST payload, the value of the Length field is 0.  When
    the MIP6_HOME_PREFIX attribute is included in the CFG_REPLY payload
    by the Home Agent, the value of the Length field is 21 and the
    attribute contains also the home prefix information.

Please review.

Vijay

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6